Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface Allele

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Allele
extends Persistent

A single allele of a nucleotide variation. In addition to the nucleotide(s) (or absence of) that representthe allele it's frequency and population information may also be present.

Author:
  Craig Melsopp

Method Summary
`java.lang.String` | `getAlleleString()` The allele string is a string of nucleotide sequence, or a '-' representing the absence of sequence (deletion).
`double` | `getFrequency()` The frequency of the occurance of the allele.
`Population` | `getPopulation()` The population where this allele appears.
`long` | `getPopulationID()` Get the internalID of the population this allele belongs to.
`void` | `setAlleleString(java.lang.String alleleString)` Sets the allele string.
`void` | `setFrequency(double frequency)` Set the frequency.
`void` | `setPopulation(Population population)` Set the population where the allele appears.
`void` | `setPopulationID(long populationID)` Set the internalID of the population this allele belongs to.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getAlleleString

    public java.lang.String getAlleleString()

  The allele string is a string of nucleotide sequence, or a '-' representing the absence of sequence (deletion).

  Returns:
    the allele string or '-'.

### setAlleleString

    public void setAlleleString(java.lang.String alleleString)

  Sets the allele string.

  Parameters:
    `alleleString` - allele string or '-'.
  See Also:
    `getAlleleString()`

### getFrequency

    public double getFrequency()

  The frequency of the occurance of the allele. If the population attribute is set then this is the frequency of the allele within that population.

  Returns:
    frequency, 0 if unknown.

### setFrequency

    public void setFrequency(double frequency)

  Set the frequency.

  Parameters:
    `frequency` - allele's frequency.
  See Also:
    `getFrequency()`

### getPopulation

    public Population getPopulation()

  The population where this allele appears. Can be null if not associated with a population.

  Returns:
    the allele's population or null.

### setPopulation

    public void setPopulation(Population population)

  Set the population where the allele appears.

  Parameters:
    `population` - population where the allele appears. Can be null if not associated with a population.
  See Also:
    `getPopulation()`

### setPopulationID

    public void setPopulationID(long populationID)

  Set the internalID of the population this allele belongs to.

  Parameters:
    `populationID` - internalID of the population this allele belongs to.

### getPopulationID

    public long getPopulationID()

  Get the internalID of the population this allele belongs to.

  Returns:
    internalID of the population this allele belongs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD